Community
Showing results for 
Search instead for 
Do you mean 
Reply

Cannot Open DataBase In Act 2008

New Member
Posts: 2
Country: USA

Cannot Open DataBase In Act 2008

When I attempted to open my data base this morning, I got a message asking for user name and password.  I had given a user name but the database was not password protected.  I have been using this database for months.  This same thing happened to me about a year ago.  I finally gave up and reconstructed the database as best I could as a new one, the one that now will not open without  password.  Is there any way around this situation?

Platinum Super Contributor
Posts: 5,275
Country: USA

Re: Cannot Open DataBase In Act 2008

Hello David6FL,

Welcome to the Sage ACT! Online Community!

 

First, ensure that you are opening the desired database.  The Log on screen will display the name of the database (Log on to Databasename).  If it is not correct, go to File > Open Database and locate the correct database.

 

Additionally, it may be that your database is in 'Suspect' or 'Recovery' status within SQL.  You can check this by using the following article: KB Article 17715.

 

 

Greg Martin
Sage
New Member
Posts: 2
Country: USA

Re: Cannot Open DataBase In Act 2008

I am trying to open the correct data base. As a matter of history this is the third time it has happened to me.  Since I needed to keep contact information I made a new data base the two other times and started collected from that point in time with the inability to access the old data.  I am on single compurter, not shared, and have never had pass word protection on my data bases.

 

Now, when I type act8diag in the run box, the report is that it does not exist.  If I search for act8diag, I find act8diag.exe in teh ACT folder.  When I try to run act8diag. I get an error message "could not connect to SQL Server instance".

Platinum Super Contributor
Posts: 5,275
Country: USA

Re: Cannot Open DataBase In Act 2008

If you are running ACT! 2008, you will want to use the command 'actdiag'.   'Act8diag' is used for ACT! 2006 (version 8).  ACT! 2006 and 2008 use different versions of Microsoft SQL. 

 

You will also want to ensure the Microsoft SQL service is started; here are instructions: KB Article 28216

 

 

 

 

Greg Martin
Sage